API referenceCompany
Get Close Progress
GET /company/{id}/close-progress
GET
/company/{id}/close-progressPath Parameters
id*string
The company ID
Length
1 <= lengthQuery Parameters
month*string
Match
^\d{4}-(0[1-9]|1[0-2])$basis*string
Value in
- "cash"
- "accrual"
Response Body
application/json
curl -X GET "https://example.com/company/string/close-progress?month=string&basis=cash"{ "companyId": "string", "month": "string", "basis": "cash", "availability": "Available", "sources": [ { "source": "Monthly", "availability": "Available", "progress": { "total": 0, "completed": 0, "outstanding": 0 }, "reconciliations": { "total": 0, "completed": 0, "outstanding": 0 }, "items": [ { "id": "string", "source": "Monthly", "parentId": "string", "key": "string", "description": "string", "status": "Complete", "account": { "id": "string", "name": "string", "mask": "string" }, "preparer": { "id": "string", "name": "string", "email": "string" }, "approver": { "id": "string", "name": "string", "email": "string" }, "completedAt": "string", "completedBy": { "id": "string", "name": "string", "email": "string" } } ] } ], "periodLock": { "status": "Locked", "lockedThrough": "string" }}Schema refreshed 2026-11-11T18:57:48.657Z